Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

### - _ -

- _date_diff() : ezgroupevent.php

### - a -

- add_group() : eZPBINIFile.php
- addAttachment() : ezmailfunctions.php
- addFile() : ezfilemanager/admin/cron.php
- addZero() : eventedit.php , todolist.php , todoedit.php , weekview.php , rssheadlines.php , ezgroupeventcalendar/user/monthview.php , ezgroupeventcalendar/user/dayview.php , consultationedit.php , ezcalendar/user/monthview.php , ezcalendar/user/dayview.php , appointmentedit.php
- appointmentRowSpan() : ezcalendar/user/dayview.php
- articleCategoryTree() : ezarticle/xmlrpc/xmlrpcserver.php
- eZAppendWarningItem() : global_functions.php

### - b -

- buildFilterName() : configure.php

### - c -

- categoryTree() : ezimagecatalogue/xmlrpc/categorylist.php , ezarticle/xmlrpc/categorylist.php
- changePermissions() : ezmediacatalogue/admin/categoryedit.php , ezimagecatalogue/user/imageedit.php , ezimagecatalogue/user/categoryedit.php , ezimagecatalogue/admin/imageedit.php , ezimagecatalogue/admin/categoryedit.php , ezfilemanager/user/folderedit.php , fileupload.php
- convertToTwelve() : eventedit.php
- convertToTwentyFour() : eventedit.php
- createArticleMenu() : ezarticle/user/menubox.php
- createLinkMenu() : ezlink/user/menubox.php
- createPage() : ezforum/user/menubox.php
- createPollMenu() : votebox.php
- createQuizMenu() : ezquiz/user/menubox.php
- createSmallArticleList() : smallarticlelist.php

### - d -

- debugInfo() : paypalnotify.php
- decode() : ezmailfunctions.php
- deleteCache() : todolist.php , payment.php , simplecategorylist.php , productedit.php , detailcategorylist.php , eztrade/admin/categorylist.php , todoedit.php , eventedit.php , personedit.php , consultationedit.php , appointmentedit.php , ezarticle/admin/categorylist.php , admin/articlelist.php
- disectThisPart() : ezmailfunctions.php
- eZDisplayDebug() : global_functions.php
- eZDisplayResult() : global_functions.php

### - e -

- empty_group() : eZPBINIFile.php
- error() : eZPBINIFile.php , authorize.php
- error_check() : registration.php , step1.php
- errorMsg() : mailtofriend.php
- errorPage() : ezform/user/datasupplier.php , ezforum/user/datasupplier.php
- eventRowSpan() : ezgroupeventcalendar/user/dayview.php
- EventTimeOverlaps() : ezgroupeventcalendar/user/dayview.php

### - f -

- fetchModule() : global_functions.php
- fetchURLInfo() : ezmeta.php
- file_exists() : eZPBINIFile.php
- filterRecurring() : ezgroupevent.php
- formProcess() : ezform/user/datasupplier.php

### - g -

- get_group_count() : eZPBINIFile.php
- get_mime_type() : ezmailfunctions.php
- getArticle() : mailtofriend.php
- getDayDiff() : ezgroupeventcalendar/user/dayview.php
- getDecodedHeader() : ezmailfunctions.php
- getEventHeight() : ezgroupeventcalendar/user/dayview.php
- getFiles() : ezfilemanager/admin/cron.php
- getFilesAndFolders() : ezfilemanager/user/folderedit.php
- getHeaders() : ezmailfunctions.php
- getHTTPVariable() : authorize.php
- getImagesAndCategores() : ezimagecatalogue/user/categoryedit.php
- getImagesAndCategories() : ezimagecatalogue/admin/categoryedit.php
- getPart() : ezmailfunctions.php
- getTableName() : ezobjectpermission.php
- globalINI() : eZPBINIFile.php
- group_exists() : eZPBINIFile.php

### - h -

- has_var() : eZPBINIFile.php
- hasPermission() : ezbug/user/datasupplier.php

### - i -

- intersects() : ezcalendar/user/dayview.php , ezgroupeventcalendar/user/dayview.php

### - l -

- laddZero() : cron_alerts.php
- load_override_data() : eZPBINIFile.php
- login() : ezarticle/xmlrpc/xmlrpcserver.php

### - m -

- menuMaker() : menumaker.php
- moveToWeekBegin() : weekview.php

### - n -

- newArticle() : ezarticle/xmlrpc/xmlrpcserver.php
- newOrders() : eztrade/xmlrpc/xmlrpcserver.php

### - p -

- parse() : eZPBINIFile.php
- parse_data() : eZPBINIFile.php
- printForm() : mailtofriend.php

### - r -

- read_array() : eZPBINIFile.php
- read_group() : eZPBINIFile.php
- read_groups() : eZPBINIFile.php
- read_var() : eZPBINIFile.php
- renderAd() : frontpage.php
- renderFrontpageArticle() : frontpage.php
- renderFrontpageArticleDouble() : frontpage.php
- renderFrontpageProduct() : frontpage.php
- renderFrontpageProductDouble() : frontpage.php
- renderShortSingleArticle() : frontpage.php
- response() : authorize.php

### - s -

- save_data() : eZPBINIFile.php
- save_mail() : ezbulkmail/admin/mailedit.php , ezmail/user/mailedit.php
- send_email() : bugreport.php
- sendAssignedMail() : bugedit.php
- sendmail() : mailtofriend.php
- set_var() : eZPBINIFile.php
- shortenText() : ezgroupeventcalendar/user/monthview.php , weekview.php
- syncDir() : ezfilemanager/user/filelist.php , ezimagecatalogue/admin/imagelist.php , ezmediacatalogue/admin/medialist.php

### - t -

- turnColumnsOnOff() : orderedit.php , cart.php , checkout.php , ordersendt.php

### - u -

- eZUpdateDebugSettings() : global_functions.php
- unlinkWild() : personedit.php
- updateValues() : page4.php , page5.php

### - v -

- variableAudit() : paypalnotify.php
- version() : eztrade/xmlrpc/xmlrpcserver.php

### - w -

- writeAtAll() : ezimagecatalogue/admin/datasupplier.php , ezimagecatalogue/user/datasupplier.php , ezmediacatalogue/admin/datasupplier.php

### - x -

- ezxmlrpcErrorHandler() : ezxmlrpcerrorhandler.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.